Name:           qmt-release 
Version:        1
Release:        6%{?dist}
Summary:        Qmailtoaster Repository setup for CentOS 7

Group:          System Environment/Base 
License:        GPL 
URL:            ftp://ftp.qmailtoaster.com/pub/repo/qmt/CentOS/

Source0:        qmt.repo	
Source1:	qmt-current-mirrors
Source2:	qmt-testing-mirrors
Source3:	qmt-devel-mirrors

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >= %{version} 

Obsoletes: whtc-qmt

%description
Qmailtoaster Repository setup for CentOS 7

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .
install -pm 644 %{SOURCE3} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config /etc/yum.repos.d/*


%changelog
* Thu Sep 27 2018 Eric Broch <ebroch@whitehorsetc.com>: 1-6
- remove cz mirrors
* Tue Sep 25 2018 Eric Broch <ebroch@whitehorsetc.com>: 1-5
- Added Remo Mirror
* Mon Nov 14 2016 Eric Broch <ebroch@whitehorsetc.com>: 1-4
- Added mirror
* Wed Oct 26 2016 Eric C. Broch <ebroch@whitehorsetc.com>: 1-2
- Added mirrorlist to qmt.spec
